import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataYandexOrganizationmanagerSamlFederationUserAccountConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/d/organizationmanager_saml_federation_user_account#federation_id DataYandexOrganizationmanagerSamlFederationUserAccount#federation_id}
    */
    readonly federationId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/d/organizationmanager_saml_federation_user_account#name_id DataYandexOrganizationmanagerSamlFederationUserAccount#name_id}
    */
    readonly nameId: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/yandex/d/organizationmanager_saml_federation_user_account yandex_organizationmanager_saml_federation_user_account}
*/
export declare class DataYandexOrganizationmanagerSamlFederationUserAccount extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "yandex_organizationmanager_saml_federation_user_account";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/yandex/d/organizationmanager_saml_federation_user_account yandex_organizationmanager_saml_federation_user_account} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataYandexOrganizationmanagerSamlFederationUserAccountConfig
    */
    constructor(scope: Construct, id: string, config: DataYandexOrganizationmanagerSamlFederationUserAccountConfig);
    private _federationId?;
    get federationId(): string;
    set federationId(value: string);
    get federationIdInput(): string | undefined;
    get id(): string;
    private _nameId?;
    get nameId(): string;
    set nameId(value: string);
    get nameIdInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
